Subject: Re: linux-next: Tree for August 14 (sysfs/acpi errors)

From: Andi Kleen <[email-masked]>
Date: Sun, 17 Aug 2008 05:53:07 +0200

Greg KH <[email-masked]> writes:
>> No!
>
> What you are doing here is wrong, trying to create two files with the
> same name.  You just should not be doing that at all, it's that simple.
> Fix the broken code/link order, don't paper it over in the sysfs layer.

Sorry, but relying on link order for anything is a mistake. It is subtle
and fragile and just means it'll eventually break again because it's
near impossible to properly maintain.

The alternative is to always check if the file exists in the params.c
code before creating it. We can do that too, but it's somewhat dumb
because sysfs is already doing that.

-Andi